Package ghidra.framework.data

# Class DomainObjectEventQueues

java.lang.Object
ghidra.framework.data.DomainObjectEventQueues

public class DomainObjectEventQueues extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected static class`
  `DomainObjectEventQueues.PrivateQueue`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final ghidra.framework.data.DomainObjectChangeSupport`
  `eventQueue`
  `protected boolean`
  `eventsEnabled`
  `protected final Lock`
  `lock`
  `protected final Map<EventQueueID,DomainObjectEventQueues.PrivateQueue>`
  `privateEventQueues`
  `protected final DomainObject`
  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DomainObjectEventQueues(DomainObject source, int timeInterval, Lock lock)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addListener(DomainObjectListener l)`
  `EventQueueID`
  `createPrivateEventQueue(DomainObjectListener listener, int maxDelay)`
  `void`
  `fireEvent(DomainObjectChangeRecord ev)`
  `void`
  `flushEvents()`
  `void`
  `flushPrivateEventQueue(EventQueueID id)`
  `boolean`
  `isSendingEvents()`
  `void`
  `removeListener(DomainObjectListener l)`
  `boolean`
  `removePrivateEventQueue(EventQueueID id)`
  `void`
  `setEventsEnabled(boolean eventsEnabled)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### source

    protected final DomainObject source

  - ### lock

    protected final Lock lock

  - ### eventQueue

    protected final ghidra.framework.data.DomainObjectChangeSupport eventQueue

  - ### privateEventQueues

    protected final Map<EventQueueID,DomainObjectEventQueues.PrivateQueue> privateEventQueues

  - ### eventsEnabled

    protected volatile boolean eventsEnabled

- ## Constructor Details

  - ### DomainObjectEventQueues

    public DomainObjectEventQueues(DomainObject source, int timeInterval, Lock lock)

- ## Method Details

  - ### flushEvents

    public void flushEvents()

  - ### addListener

    public void addListener(DomainObjectListener l)

  - ### removeListener

    public void removeListener(DomainObjectListener l)

  - ### createPrivateEventQueue

    public EventQueueID createPrivateEventQueue(DomainObjectListener listener, int maxDelay)

  - ### removePrivateEventQueue

    public boolean removePrivateEventQueue(EventQueueID id)

  - ### flushPrivateEventQueue

    public void flushPrivateEventQueue(EventQueueID id)

  - ### fireEvent

    public void fireEvent(DomainObjectChangeRecord ev)

  - ### setEventsEnabled

    public void setEventsEnabled(boolean eventsEnabled)

  - ### isSendingEvents

    public boolean isSendingEvents()